## org.biojava.bio.symbol
Class CodonPrefFilter.AcceptAll

    java.lang.Object
      org.biojava.bio.symbol.CodonPrefFilter.AcceptAll

All Implemented Interfaces:
  CodonPrefFilter

Enclosing interface:
  CodonPrefFilter

    public static class CodonPrefFilter.AcceptAll

extends Object
implements CodonPrefFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.symbol.CodonPrefFilter
`CodonPrefFilter.AcceptAll, CodonPrefFilter.ByName, CodonPrefFilter.EverythingToXML`

Constructor Summary
`CodonPrefFilter.AcceptAll()`

Method Summary
`List` `getCodonPrefs()`
`boolean` `isRequired(String name)` indicates if the current CodonPref is to be accepted
`void` `put(CodonPref codonPref)` handles storage of a CodonPref object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodonPrefFilter.AcceptAll

    public CodonPrefFilter.AcceptAll()

Method Detail

### isRequired

    public boolean isRequired(String name)

  Description copied from interface: `CodonPrefFilter`
  indicates if the current CodonPref is to be accepted

  Specified by:
    `isRequired` in interface `CodonPrefFilter`

### put

    public void put(CodonPref codonPref)

  Description copied from interface: `CodonPrefFilter`
  handles storage of a CodonPref object

  Specified by:
    `put` in interface `CodonPrefFilter`

### getCodonPrefs

    public List getCodonPrefs()